MixVibes Table of Contents

Table of Contents

A) Introduction

  1. Welcome
  2. Requirements
  3. Definition
  4. Files compatibilty

B) Functions

  1. Getting Started
  2. Media Functions
  3. Mix Functions
  4. Mixer channel Functions
  5. Windows Controls
  6. Interface Programmation
  7. Options
  8. Shortcuts
  9. FAQ

C) Thanks

mixvibes web site
Email: info@mixvibes.com
web: www.mixvibes.com
Copyright © MIXVIBES 1999-2001
All rights reserved.


MixVibes Help Welcome

Welcome

Congratulations for your choice. MixVibes is a powerful dj and mixer software.

We'd like to think that Mixvibes sets new standards in dj software with friendliness and at same time providing features expected by professional dj.

Why MixVibes :

- performance and streaming technology : all files start in less than 10ms

- no destructive edit of a mix

- until 4 sound cards and change on fly

- interface programmable with skins

- all windows can be sizeable and moveable.

- Database and sequencer included

- ...


MixVibes Help Requirements

Requirements
Processor:
PENTIUM 200 MMX or more
RAM :
64 Mo
System :
Windows 95, Windows 98, Windows NT 2000
DirectX 5.0 or more
Sound card:
At least one sound card compatible DirectX. MixVibes can manage until 4 audio cards.
VGA:
For some interfaces and skins, you will need a definition minimum of 800*600 and 65536 colors but for others, MixVibes will be able to work with 640*480 and 256 colors
Which Processor ? :
MixVibes can work for mixing with a little pentium 200 MMX (or even less).
Mp3 files (128kbits stereo) use about 3% of cpu usage on Pentium III 350.
But if you want to process many effects and equalization, you will need a more power processor. Digital Signal Processing (DSP) requires a lot of processing power.


MixVibes Help Definition

Definition

Media
 Event
Frame
Views

Media

A media represents a sound or video file with all informations relative to this file.

ID3 tag informations is included in the media and not limited to 30 caracters :

  • Title
  • Author
  • Album
  • Comment
  • Genre
  • Year

MixVibes add also others informations :

  • Base Tempo (music tempo at normal speed)
  • Remix field
  • Pick (1 to 5 hearts)
  • Position for starting and ending (in ms)
  • Volume / pan (in 0.1*db)
  • Gain in db
  • Fade in and Fade out (in sec)
  • Audio or video out (each audio or video cards is affected to number out)
  • Mixer channel where the media will be run
  • Speed in percent
  • Loop check
  • Equalization and kill frequency : bass / middle / treble

You can add a cover file to a media (image file .jpg/.gif or html file).

You can import or export from MixVibes file format and information to ID3 tag format and m3u format.

Format file compatible

  • mpeg files : .mp1, .mp2, .mp3
  • ms audio files : .wma, .asf
  • wave and compressed wave files : .wav (ms adpcm, ima adpcm, ...)
  • unix files : .au
  • mac files : .aif, .aiff
  • midi files : .mid

Event

An event is a time stamp information.

An event is associated to a media and has a start time, a duration.

There are many kinds of event :

  • Play
  • Stop
  • Pause
  • Volume
  • Pan event
  • Eq event (bass/mid/treble)
  • Pitch
  • Effects
  • ...

All actions done in the mixer can be recorded as an event in MixVibes Mix Sequencer.

Frame

When MixVibes read a sound file it creates a frame for streaming the file. The frame can be set for any time interval from 100ms and 9600ms. More interresting, the frame can be set in beat boundaries (1 to 16). Then you can create perfect loops. Frame can be used also to sample the music.

The Frame concept is very important and can create many dj effects.

Views

Views are main windows in MixVibes.
There are 3 views in MixVibes :

  • Media Base view
  • Mix Sequencer view
  • Mixer view

Each view is dynamic and can be closed and reopened. At restart, Mixvibes will recall all views present in last exit.

Control windows

There is 1 control window :

  • Cross Fader

The control window can be displayed or not and attached to the MixVibes main window or float independly.


MixVibes Files compatibility

Media Base Files (.vib) compatibility

there is an ascendant compatibilty : from version 2.x to 3.x but not from version 3.x to 2.x

Mix Sequence Files (.vsq) compatibility

Only version 3.x can manage these files.


MixVibes Help Start

Getting Started
MixVibes Files standard.jpg (31794 octets)
MixVibes Views
Add music
Select music in the mixer
Mixing

MixVibes Files

Media Base files contain all your medias information (title, author, genre, album, duration, bpm ...).. It's the main file in MixVibes. The file extension is ".vib".
A media can be any sound file (*.wav *.mp3 ...) or video files (*.avi *.mpg).

When you add files, MixVibes retrieves information from ID3 tag found in mp3 file and includes it in the Media Base.

There are 2 differences between ID3 tag infomation and Media Base information :

- Media Base include many others fields as bpm, pitch, equalization, remix ...

- Fields are not limited to 30 caracters

An event is associated to a media and has a time information (start, duration). There are many kinds of event like play, pause, cue, pitch change, volume change...

MixVibes can edit all events in your mix.

MixVibes Views

There are 3 views in MixVibes. Each view is dynamic and can be closed and reopened. At restart, Mixvibes will recall all views present in last exit.

Media Base view

mediabaseview.gif (5820 octets)

The Media Base view display all medias information from the Media Base file. A Media Base can contained many thousands of media. In fact, there is no limit. There are 2 kinds of display : list (display only the media title) or details (display more info).

In details mode, you can choose which information you want to display (title, author, genre, bpm, album, duration ...) : right click in the header of the Media Base view. The Base Media view can be list with any order (many kind of sorts are available). A powerful search function can be used to find specific media. Many medias can be selected for multiple operation : for example, beat match many medias for a specific bpm.

Mix Sequencer view

mix sequencer.gif (5129 octets)

The Mix Sequencer view display all events of your mix. There can be any number of events and more than an event can start at the same time. Events are displayed by start time order. There are 2 kinds of display : list (start time and media name) or details (all event info). An icon (first report field) defines the event type.

Mixer View

mixerviewv2.jpg (17361 octets)

The channel number is customizable : 2 until 16 channels can be defined. The Mixer view contain all controlers and command buttons. All controlers and commands can be customized with a skin (see skins). There could be until 76 controls in each channel mixer.
The media in each mixer channel can be easily selected from the Media Base either by drag and drop either by pressing the track buttons.

Add a music

There are many ways to add music (or others media) in MixVibes. The easiest way is to select files in Windows folder that you want to include in MixVibes and drag and drop these files in the Media Base view

addwithdraganddrop.jpg (21712 octets)

A command "Scan" can be very usefull also (Menu "File" -> "Scan"). In the Scan dialog box, you can select 1 or many directories where to search music files to add in MixVibes. For example, if you select C:, it will include all music files of your hard drive C:

Select music in the mixer

Now you have some music in the Media Base. How select a music in the Mixer view ?

1) Select the music in the Media Base view that you want to control | dragv21.jpg (11124 octets)
2) Drag the music from the Media Base view to the Mixer View | dragv22.jpg (10851 octets)
3) Drop the music in the channel you want to use | dragv23.jpg (11006 octets)

Mixing

After selecting the 2 musics that you want to mix in the Mixer view
Mixing will require 7 operations :

  1. Find the bpm of the 2 musics
  2. Locate position in each the music where you want to mix
  3. Adjust the speed of 2 music so they have same Bpm (beat matching)
  4. Switch audio port
  5. Start music
  6. Cross fade the volume of each music for keeping a constant volume level
  7. Adjust the beat in speeding up or down the 2 musics playing for keeping the same beat

1) Find the bpm of the 2 music

To execute beatcounting, right click in the mixer channel and Select menu "Beat counting Manual".

2) Locate position

With the "Backward" or "Forward" buttons in the mixer channel you can move in the music and find the exact position to start (for example a bass drum beat) and set the Cue point with the Cue button in the mixer channel. Of course, the search operation can be done in your headphones (select second audio port) so you are alone to listen. As the cue point is found, you will select back the main audio out.

3) Beat matching

There are many ways to do beatmatching with MixVibes. Here's the easiest method.

a) Put the 2 music to beatmatch in mixer channel 1 and 2 |
b) left click in channel mixer for beginning a drag and drop and press the shift key | beatmatch1.jpg (21807 octets)
c) move the mouse cursor to channel 2 with the shift key always pressed | beatmatch2.jpg (21293 octets)
d) release the mouse in channel 2. MixVibes has updated the picth of music in channel 1 so the bpm of the 2 music has been matched. | beatmatch3.jpg (12681 octets)

4) Switch audio port

When you are going to locate a cue point in the music, you don't want that people listen your search. For providing this functionnality, MixVibes need a second audio port to connect headphones. MixVibes can support 2 audio cards. Connect your main audio card out port to the amplifier and second port to headphones. See Options audio cards for the configuration in MixVibes.

selector2.jpg (990 octets) Select the 2nd audio port for working in headphones and locating the cue point.

selector1.jpg (990 octets) When you have found the cue point, you can select the main audio port 1. Then you are ready to start the music.

5) Start music

start.jpg (1227 octets) After finding the start position, you are ready to start the new music. You can use the Play/pause button in channel mixer or keyboard shortcuts

Channel A | F9 | CUE
 | F10 | PLAY/PAUSE
Channel B | F11 | CUE
 | F12 | PLAY/PAUSE

6) Cross fade the volume

You can use the cross fader control for update the 2 music volume at same time or use individual volume slider.

crossfader.jpg (5742 octets)

7) Adjust the beat in speed up or down

You can use the pitch bend slider to adjust temporarily the speed.

adjust speed.jpg (6428 octets)

There are also programmable keys (PF1...PF8). These keyboard shortcuts can be very usefull for catching the beat.

Channel A | F1 | speed down -4%
F2 | speed down -2%
F3 | speed up +2%
F4
 speed up +4%
Channel B | F5 | speed down -4%
F6 | speed down -2%
F7 | speed up +2%
F8
 speed up +4%


MixVibes Media Functions

Media Functions

Add Media
Scan
Selection
Edit media
Delete media
Cut/Copy/Paste
Media Base column header
Media Base Properties
Find
Sort
Automatic Fade
Change Path
Save ID3 tag
Convert
Save info/Load info
Manual Beat counting
Auto Beat counting
Beat matching
Init Position
Internet Link
New Genre

Add Media

There are many ways for adding media files in MixVibes Media Base

  1. Drag and drop
  2. Menu command Add
  3. Double click in a empty mixer channel
  4. Menu command Scan (see next section)

Each MixVibes (Media Base, Mixer, Mix Sequence) can accept drag and drop.

Media Base View Drag and drop

addwithdraganddrop.jpg (21712 octets)

Drag and drop from Microsoft Windows Folder to Media Base View is the best way to add a selection of files in MixVibes. Each new file added will be assigned an default channel. If the toolbar button "Mixer Change" mixerchange.gif (1097 octets) is checked then the mixer will be updated with last files added.

Mixer View Drag and drop

adddraganddropmixer.jpg (12728 octets)

With this method the files are directly added to a mixer channel. Then all files will be assigned with the dropped channel number, no matter the value of "Mixer Change" button. The files are also added at the end of the Media Base view.

Mixer View Drag and drop

adddraganddropseq.gif (9950 octets)

The files are added at same time to the Mix Sequence and in the Media Base.

Scan

Scan is also a method to add media in MixVibes. With this method, you can include 1 or many directories, entire hard drive with search criterias.

scan.gif (9024 octets)

You choose the type of files to include in the search : sound files, mp3 files, video files ...

Select Dir button : add a new directory for searching files to include
All Drive button : search files in all your drives
More button : show/hide advanced search information
Init button : Init the field for directory search

With Advanced search, you can find any mp3 files with the title or author or other mp3 tags.

If you check the "Delete Media List" field, then MixVibes will include all files found in a new Media Base.

Selection

selection.gif (15719 octets)

You can select more than 1 item in the Media Base view or in Mix Sequence view.
The multi selection works like the multi selection in Microsoft Windows

- select with the mouse right button
- Shift key pressed and select an item
- Ctrl key pressed and select an item (very usefull for no sequential selection)

These operations take care of the selection in Media Base view :
- Play/Stop
- Delete
- Change Path
- Drag and drop to Mix Sequence view
- Convert
- Save ID3 tag
- Beat Counting auto
- Beat Matching
- Init Position

These operations take care of the selection in Mix Sequence view:
- Delete
- Arrange

Edit media

There are 2 ways to edit a media :

  1. Menu Command Edit
  2. Double click in the mixer channel

editmedia.gif (8491 octets)

In this dialog box, you can edit all informations about the media :

  • ID3 tag : Title Author Album Comment Genre Year (not limited to 30 caracters)
  • Remix
  • Pick (1 to 5 hearts)
  • Base Tempo (music tempo at normal speed)
  • Position for starting and ending (in ms)
  • Volume / pan (in 0.1*db)
  • Gain in db
  • Audio or video out (each audio or video cards is affected to number out)
  • Mixer channel where the media will be loaded
  • Speed in percent
  • Loop check
  • Equalization and kill frequency : bass / middle / treble
  • Stereo mode
  • Digital voice
  • Cover file
  • Locations
  • Fade in and Fade out (in sec)

Delete media

For deleting 1 or many selected media use the menu command "Edit"->"Delete". MixVibes will delete only the item in the Media Base and not the file. MixVibes will also delete all events associated to this media.

Cut/Copy/Paste

You can use Cut/Copy/Paste menu commands to move in the Media Base any media. These commands can also be used to create many instances of same music file and then mix 2 same music files.

Find

The Find dialog box can be used for a quick search in the Media Base for any specific media. You can search in a specific field (title, author, genre, year, comment) or in all fields. If you check the "Match case" box, the search will be done with case sensitive. If you check the "Whole text" box, only exact same text will be found.

find.gif (4274 octets)

Press the keys Ctrl+Shift+F will folow the search in the Media Base for next media respecting the search criteria.

Sort

The Media Base can be sorted with 16 orders :

  • File
  • Name
  • Author
  • Style
  • Bpm
  • Duration
  • Album
  • Year
  • Channel
  • File Extension
  • Last play
  • Pick
  • Comment
  • Remix
  • File Length
  • Random
    •

    The random order is interresting for creating random playlist. With the field "Bpm increase" checked, MixVibes will sort in second order by bpm.

    Media Base column header

    column.gif (4746 octets)

    You can choose which column headers to display and the order in the Media Base view (right click in the header).
    MixVibes saves also the size of each column at exit.

    Media Base properties

    properties.gif (4228 octets)

    Each media file (.vib) is unique (with identifiant).

    You can locked a Media Base with menu "File"->"Properties", so change in the Media Base will not be possible.

    Automatic Fade

    For setting automatic fade, edit the media go to the tab "Volume". Check the box for fade in or fade out and set a timing for each fade in seconds. After modifing the media, a fade-in will be done when you start to play the media and the fade-out will be done when you stop.

    Change Path

    If the file of a media have moved in another directory or drive you can update the media path with this command.
    This command manages media selection.
    For example you have moved all your mp3 from "C:\mp3" drive to "D:\mp3", you will select all medias in the Media Base and execute the command "Change Path" with the new path to "D:\mp3" .

    Save ID3 tag

    This command will save the media information (title, author, album, genre, year, comment) to ID3 tag in the mp3 file. Others informations will not be saved and fields will be truncated to 30 caracters due to ID3 tag limitation. The Bpm (tempo) field will be saved in last 5 caracters of the comment if the comment field has less than 25 caracters. Then MixVibes will load the bpm when adding again these mp3 files.
    This command manages the media selection.

    Save info/Load info

    The command "Save info" save all informations from a media to file with the media file name and extension ".vfo".
    The command "Load info" do the inverse operation : load all informations from a file with the media file name and extension ".vfo" to the media.
    This command manages the media selection.

    Manual Beat counting

      manualbeatcounting.gif (7989 octets)

    For displaying the beat counting dialog box, press the mouse right click in mixer channel, or in Media Base view
    when a media is selected.

    there are 2 methods

    1) space method

    Tape the key space or the button space at the rhythm of the music. More you tape more accurate will be the beat counting (the program do the average
    on 30 last tapes).

    2) interval method with F1 and F2

    The interval would be at least 16 beats for accurate beat counting,

    Beat matching

    There are 3 ways to do beatmatching :

    1) Shift key pressed + drag and drop between 2 mixer channels (see the procedure)

    2) Beat matching in Media Base view
    Select 1 or many medias to beat match and press mouse right click, sekect the menu "Beat Matching".
    MixVibes will display a dialog box and ask to enter a bpm to match for all medias selected.

    3) Auto crossfading buttons in crossfader window control

    Beatmatching can be done only if you have informed the bpm for the medias to match.

    Init Position

    This command will init cue position, start position and end position for the media.
    This command manages the media selection.

    Internet Link

    This command will launch Internet Explorer if there is a internet link defined in ID3 tag.

    New Genre

    1) define a file name "genre.txt" in same directory than mixvibespro.exe

    2) enter new genre in the file
    Start after 148, as first 147 genre are defined by mp3 tag

    for example :

    148 Dark dnb
    149 super rare groove
    150 super rare disco
    151 roots reggae


MixVibes Mix Functions

Mix Functions

Edit Event
Create Playlist
Record
Play/Stop Mix
Backward/Forward Mix
Previous/Next
Open/Save Mix Sequence
Auto Mix
Arrange
AutoArrange
Auto Assign media channel

Edit Event

editevent.gif (6082 octets)

MixVibes can edit all events in your mix. Select an event in the Mix Sequence view and tape the key Enter or run the menu command "Edit"->"Edit"

An event is defined with :

  • The media assocciated
  • a start time
  • a duration
  • optional fade in seconds defined only for play event (fade in) or stop event (fade out)
  • until 4 parameters folowing the kind of the event

There are 4 moving button controls : you can use them for moving in the list of events

The time resolution is 1 ms.

Create Play List

A playlist is a simple mix sequence where there are only play and stop event. Of course, you will be able to add others events in a playlist.

There are 5 ways to create Playlist :

  1. Direct drag and drop from Microsoft Windows folders to the Mix Sequence view. All files will be inserted at the end
    of the Playlist.
  2. Drag and drop from Media Base view to Mix Sequence view.
    you can select any number of media. All medias selected will be inserted.
  3. Drag and drop from mixer channel to Mix Sequence view. You can drag only 1 media.
  4. Command menu "Add to mix" add the media selected in Mix Sequence view at the counter position.
    Add to mix can be activated with right click in Mixer view or Media Base view.
  5. AutoMix function (see next section)

Auto Mix

automix.gif (3980 octets)

Activate the Media Base view and run the command menu "Mix" -> "Auto Mix".
You can add all the Media Base (All List check box) or selected medias to the Mix Sequence.

You can set in the AutoMix dialog box :
- The insert start time in Mix Sequence (initially set with counter position)
- The mix interval time in seconds
- Fade in and out assigned to all medias inserted in seconds

Record

If you set the Record button record.gif (1149 octets) in the "Mix Commands" toolbar, then MixVibes will record all actions done in the Mixer view. All operations will be recorded in the current Mix Sequence at the position of the counter : play, pause, cue, frame, volume change, pitch change, equalization ...

At the end of the record session, uncheck the record icon. Now MixVibes can redo any time all actions recorded with the command Play and Stop Mix.

There are 2 options for setting the record mode, in menu options->general :

  • "record audio port" Select the audio port where record events (0= All, 1= only audio port 1 ...)
  • "record interval in ms" for filtering events too near in time for ex. if you set 100ms only events in interval of 100ms will be saved

Play/Stop Mix

For starting a Sequence Mix, run the menu command "Mix"->"Play" or press the button Play playstopmix.gif (1188 octets). For stopping a Sequence Mix, run the menu command "Mix"->"Stop" or the button Stop. The command Stop Mix will stop only media starting with the current Sequence Mix.
There are keyboard shortcuts :

  • Ctrl+Space : Start a Mix Sequence
  • numpad key "0" : Start/Stop a Mix Sequence

Backward/Forward Mix

If you want to backward or forward the Sequence Mix, use the command menu "Mix" -> "Backward" or "Forward" or buttons backforwardmix.gif (1147 octets). These command will avance or down all events of the current Sequence Mix.

Previous/Next

Previous and Next command next.gif (1070 octets) will move in the Sequence Mix to next or previous Play event.

There are keyboard shortcuts :

  • numpad key "-" : Previous
  • numpad key "+" : Next

Arrange

If you want to change the start time of an event or many events, select 1 or more events in Mix Sequence and run the menu comannd "Mix"->"Arrange". You can increase time (positive value) or decrease (negative value).

AutoArrange

If you set the AutoArrange icon autoarrange.gif (1207 octets) in the "Mix Commands" toolbar then inserting, deleting or moving events, will udpate the Mix Sequence start time for all other following events. MixVibes will try to remove all gaps between events.

Auto Assign media channel

If you want to order the mixer channel assignment from the Mix Sequence, run this command. For example if you have 4 mixer channels in the Mixer view, your Mix Sequence have 8 play events with 8 different medias. Then the first media in Mix Sequence will be assigned to mixer channel 1, the 2nd the channel 2, the 3rd the channel 3, the 4th the channel 4, the 5th the channel 3, the 6th the channel 2, the 7th the channel 1, the 8th the channel 2,

Save the mix in wave or mp3 file

You can save your mix in a wave or mp3 file. If you want to save the mix in mp3, select the extension mp3 and choose the mp3 bit rate.
MixVibes can even generate cue sheet file for recording audio cd.
If you want to do audio cd with your mix, save your mix in a wave file and ask to generate a cue sheet file.

Autorun

You can create autorun files. Then if you place all files in removal support, windows will start automatically your mix file (like a audio cd).
You can burn all files in the autorun directory to do a autorun cd.

commands line for mixvibespro.exe

mixvibespro mixfile [commands ...]

mixfile: any mix file name with path (and with extension .vib)

commands

/R [starttime] [startlist] : run at starttime (HH:MM:SS) the play list at the item number startlist (if startlist=0 then shuffle)

/L: Loop the playlist

/C: Close the playlist at end

For example: mixvibespro e:\groove.vib /R 11:00 5 /L wil run mixvibes at 11:00 the playlist e:\groove.vib and start the playlist at item 5.

You can use time more than 24 hour. For example : 30:00 for tomorrow morning 6:00

You can use these commands to run night playlist (radio) or to wake up with a mix.

Don't forget that you can run more than 1 mixvibespro.


MixVibes Mixer

Mixer channel Functions

Customizable interface and skins
Active channel
Master/slave
Load state
Out port
Equalization and Kill Frequency
Others controls
Beat matching
Mixer control lock
Talk over

Customizable interface and skins

There are 76 controlers. All these controlers can be placed or removed inside mixer channel.
You can define for each controler :

  • Position inside the channel mixer
  • Size
  • Colors

You can also define text, tooltips, border and insert graphics. You can also change the bitmap of bitmapped control (slider buttons, command buttons, ...).
For changing interface, goto menu command "File"->"Options"->"Interface" and select the file interface. All file interfaces have extension .ini and are in same directory than mixvibespro.exe.

Active mixer channel

highlight.jpg (1376 octets) The active mixer channel is the channel with a highlight number. When you click any button in a mixer channel (play, cue, frame ...) or controlers (volume, pitch ...) then the channel become active.

These keyboard keys will be executed by the active channel :

PC keys | Actions
Left/Right | Change the active channel
ENTER | Play/Pause
Backspace | Cue
Esc | Mute
Up/Down | Up/down pitch

Master/slave

A master channel can manage all slave channels for : volume, pan, equalization, out, speed, play, pause, cue, stop, seeking, pitch ...
Master channel display "M". Slave channel display the number of master channel. You can change master/slave settings by mouse clicking in the M or number rectangle.

Load state

loadstate.jpg (1104 octets) When you select a media in a mixer channel, it will be automatically loaded, then it can be start quickly.
Led on = media loaded / led off = media unloaded. If you do a reset reset.gif (1072 octets), then all media will be unloaded.

Outport

selector1.jpg (992 octets) You can select the audio (or video) out port with this selector. Each audio is assigned to a DirectX audio card (see Options audio cards). MixVibes will switch audio port on fly without stoping the music.

Equalization and Kill Frequency

The Equalization controls have a range of +/- 10 db.

You can do kill frequency in selecting the small buttons under the Equalization controls.

Bass kill freq : 200Hz
Middle kill freq : 500Hz
Treble kill freq : 3000Hz

The 3 bands equalization and killer frequencies are parametric (see Options equalization)

Others controls

Time reamining

right click in "time" controls

time reamaining.gif (3028 octets)

Name + Author

right click in "name" controls

nameauthor.gif (3416 octets)

Beat matching

1) Click in the mixer channel where is the media to be matched

2) Press Shift key and drag to the second mixer channels where is the media to match (you will see cursor =)

3) Drop with shift key pressed in the mixer to match

if you don't press shift key the media move to the mixer channel dropped.

Beatmatching can be done only if you have informed the bpm for the medias to match.

Talk Over

If you want to speak on the music with your microphone, you can use the talk over command talkover.gif (1053 octets) (microphone icon on toolbar). for speaking, click in talk over icon and when stop speaking click back in the talk over icon for resetting normal volume.
You can set fade time and db attenuation (see options).
Talk over fade out and in automatically for all audio channels.

Mixer control lock

If you check the mixer control lock options (see menu window or right click in mixer) then no change will be done by the media when select in a mixer channel. The out port, equalization and volume can be loacked in the mixer.


MixVibes Help Windows Controls

Windows Controls

Cross Fader

crossfader.jpg (5742 octets)

The Cross Fader can include 8 controls :

  • Cross fade volume
  • Channel selector
  • Type Fade
  • Auto Cross Fading buttons
  • Update mixer channel volume on/off
  • Enable beatmatching on/off
  • Pitch bend slider
  • Jog dial

For using cross fader controls, you have to select the mixer channel with the Selector spin
Set the number 0 for no selection. 1 for selecting the mixer channel 1. 2 for selecting the mixer channel 2 ...

After choosing the channels, all controls will be attached to each mixer channel.

Cross fade volume

If you move the crossfader thumb then the volume mix will be done between the 2 media inside each mixer channel.

Auto Cross Fading

If you press the button A->B (or B->A) then an automatic cross fade will be made between selected media for A with selected media for B.
the field "fade time sec" (found in menu option->general or window settings) specifies the time of fade in seconds.

There are 6 types of cross fader (click in the number to change type).

You can enable on/off the change media fader by the cross fader (see red led)
and can select an auto start options for the media cross fading (see green led)

Keyboard shortcuts relative to crossfader selection

Pitch bend Cross fader channel A
F1: -4% (default)
F2: -2% (default)
F3: 2% (default)
F4: 4% (default)

F9: Cue
F10: Play/pause

Pitch bend Cross fader channel B
F5: -4% (default)
F6: -2% (default)
F7: 2% (default)
F8: 4% (default)

F11: Cue
F12: Play/pause

Update mixer channel volume button

If this option is checked then the move of cross fader volume will move the mixer channel volume
else the crossfader volume will not moved the mixer channel and will take maximum level from the setting
of mixer volume.

Enable beatmatching button

If this option is checked then an automatic beatmatching will be done when you press auto crossfading buttons (A->B or B->A).


MixVibes preview 3

MixVibes Interface

the interface file begin always with this line : <MixVibes Config>

// indicate a comment.

HEADING

A heading begins with the caracter % (ex %MIXER)

There are 8 heading :

  • %INTERFACE : interface description (author name ...)
  • %MAIN : description of main data like fonts, mediabase colors (medialist), sequencer colors (playlist)
  • %CROSSFADER : crossfader window control description
  • %EQUALIZER : equalizer window control description
  • %VOLUME : main volume window control description
  • %MIXER: mixer main window descrition
  • %CHANNEL : description of each channel inside the mixer window
  • %BITMAPDEF : MixVibes internal bitmap description

    • Inside each heading, you will find fields.

    A field begins with the caracter : (ex :FONT)

    there are 3 special fields :

  • :TEXT
  • :BORDER
  • :BITMAP

    • These special fields could be found in many headings and multiple.

    Others fields are unique for each heading.

    THE GENERAL SYNTAX FOR OTHER FIELDS

    x,y | coordinates inside the window in pixels
w | field width in pixels
h | field height in pixels
font | font number (1 to 5)
opt | option (depend of the field)
ct | color for text or border in RGB(red,green,blue)
cb | color for backgound in RGB(red,green,blue)
co | other color in RGB(red,green,blue) (depend of the field)
tooltips | tooltips

    :TEXT

    the syntax is : x y w h font color text

    color is the color for the text. Text have no background color. There are drawn transparently.

    text is define inside " "

    :BORDER

    the syntax is : x y w h color_border color_back

    if color_back = -1 then there is no background color drawn

    if color_border= -1 then there is no border drawn

    :BITMAP

    the syntax is : x y width height option transparent_color file

    there are 4 options

  • option 0 : normal
  • option 1 : fill surface

    • width and height not used yet

    if transparent_color is defined then the bitmap will be drawn transparently : all pixels having the color transparent_color in the bitmap will be replaced with the background color

    HEADING %MAIN

    there are 7 fields.

    :MEDIABASE

    only the ct (color text) and cb (color back) are used for the media base window

    :SEQUENCER

    only the ct (color text) and cb (color back) are used for the sequencer window

    :FONTx

    the syntax is : font_number size style name

    Style are defined as

    • 0= normal

    • 1= bold

    • 2= italic

    • 3= bold+italic

    A maximum of 7 fonts can be defined (number 0 to 6)

    HEADING %EQUALIZER

    there are 6 fields.

    the first field :EQUALIZER describes general ibnformation about the equalizer control

    x: number of pixels separator for each equalizer slider
    y: db range for each equalizer slider
    w: width for the window control
    h: height for the window control
    ct: color for text
    ct: color for background

    if option is 1 then mixvibes display a 2 channels stereo equalizer (default is 1 channel)

    :PRESET is for the preset combo box

    :EQON is for state button equalizer on off

    :EQSLIDERS describes equalizer sliders

    x,y : position in pixel for first slider

    :EQSLIDERSTEXT displays band equalizer text

    you can also insert :TEXT, :BORDER, :BITMAP fields

    HEADING %VOLUME

    there are 15 fields.

    the first field :VOLUME describes general information about the volume control

    x: number of pixels separator for each sound cards found by MixVibes
    y: not used
    w: width for the window control
    h: height for the window control
    ct: color for text
    ct: color for background

    if option is 1 then mixvibes will display a border for each sound card

    each control manages the Windows Multimedia Mixer (the speaker inside system tray)

    :MAINVOL main volume of the sound card
    :PAN main pan of the wave device
    :BASS bass (some sound card cannot manage bass)
    :TREBLE treble (some sound card cannot manage treble)
    :WAVE wave source
    :WAVEMUTE
    :MIC microphone source
    :MICMUTE
    :CD cd source
    :CDMUTE
    :LINE line source
    :LINEMUTE
    :MIDI midi source
    :MIDIMUTE

    you can also insert :TEXT, :BORDER, :BITMAP fields

    HEADING %CROSSFADER

    there are 13 fields.

    the first field :CROSSFADER describes general information about the crossfader control

    x: not used
    y: not used
    w: width for the window control
    h: height for the window control
    ct: color for text
    ct: color for background

    :CROSSVOL the volume control for the crossfader volume
    :CROSSCHA the spin control for selecting the mixer channel assigned to crossfader (channel A)
    :CROSSCHB the spin control for selecting the mixer channel assigned to crossfader (channel B)
    :AUTOA auto crossfading button (channel A)
    :AUTOB auto crossfading button (channel B)
    :FADETYPE there are 6 fade types
    :UPDATE state button for updating the mixer volume (default)
    :BEATMATCHING state button for doing auto beat matching when auto crossfading (default)
    :JOGA jog dial
    :JOGB
    :PITCHBENDA pitch bend
    :PITCHBENDB

    you can also insert :TEXT, :BORDER, :BITMAP fields

    HEADING %MIXER

    there are 4 fields.

    the first field :MIXER describes general information about the main mixer window

    x,y: not used
    w,h: pixel separator between each channel mixer
    ct: color for text
    cb: color for background

    if option is 1 then mixvibes will drawn screws

    :CHANNEL describes information about each channel mixer

    x,y: position of the first channel mixer
    w : width of each channel mixer
    h : height of each channel mixer
    ,h: pixel separator between each channel mixer
    ct: color for border
    ct: color for background

    if option is 1 then mixvibes will drawn a border for each channel

    :COUNTER display the main counter in the mixer window

    :DJNAME display the dj name in the mixer window

    HEADING %CHANNEL

    This heading describes all controls inside mixer channel.

    You can define until there are 76 fields.

    :CH | channel number text
:BPM | Bpm text
:TIME | time
:DUR | duration
:PITCH | Pitch text
:NAME | Media Name text
:TRACK | Track number text
:FRAMETEXT | Frame value in ms text
:LEVEL | level vue meter
:MUTE | mute button
:LOOP | loop button
:SLAVE | master slave button
:STATE | play state
:PLAYPAUSE | Play/Pause button
:CUE | Cue button
:PLAY | Play button
:STOP | Stop button
:FRAME | Frame button
:DISPLAY | Display button
:ADD | Add button
:EDIT | Edit button
:FWD | Forward button
:BACK | Backward button
:MONITOR | Monitor button
:GAIN | Gain knob
:OUT | Out Selector
:VOL | Volume slider
:PAN | Pan Slider
:BASS :MID :TREB | Bass/Middle/Treble knob
:KBASS :KMID :KTREB | Killer frequency Bass/Middle/Treble
:DIRECT | Direct mode button
:VOICE | Voice removal button
:PLAYBAR | Play Bar
:JOG | Jog & Shuttle
:PITCHBEND | Pitch bend slider
:PITCHBUTTON | Pitch button +/- (2 buttons)
:EFFECTS1 :EFFECTS2 :EFFECTS3 | Effect on/off buttons
:EFFECTSVOL1 :EFFECTSVOL2 :EFFECTSVOL3 | Effect volume sliders
:LOCATION1 :LOCATION2 ... :LOCATION10 | Location 1 ... 10 buttons
:TRACKSPIN | Track button +/- (2 buttons)
:BEAT0 :BEAT1 :BEAT2 :BEAT4 :BEAT8 :BEAT16 | Frame Beat 1/2 1 2 4 8 16 buttons
:REVERSE | Reverse button
:LOOPTRAX | looptrax button
:PITCHRESET | Pitch reset button
:EFFECTFRAME | Frame effect process

    some specific informations

    SPECIFIC COLORS

    Colors for rotary knobs (bass, mid, treb, jog, out)
    ct= border color for internal circle
    cb= background color for internal circle
    co= background color for external circle

    Colors for sliders (vol, pan, pitch bend)
    ct = color for the center line
    cb= background color
    co= color for the thumb

    SPECIFIC OPTIONS

    Options for frame button (:FRAME)
    #1 blink when in frame state

    Options for Jog & Shuttle (:JOG)
    #1 pitch bend <when media is playing

    Options for slider (vol, pan, pitch bend)
    #00 horizontal
    #01 vertical
    #02 vectorized
    #04 variable channel
    #10 tick line
    #20 tick line + center
    #30 3 ticks
    #40 1 center Tick

    Options for state buttons :EFFECTSx :DIRECT :KBASS :KMID :KTREB :VOICE :MONITOR :MUTE :LOOP
    #00 use bitmap
    #01 use square (vectorized)
    #02 use circle (vectorized)
    #03 use on/off style button (vectorized)
    #10 vertical boolean (work with on/off style #03)

    Option for pitch button :PITCHBUTTON
    0 horizontal
    1 vertical

    Option for pitch
    #01 No border
    #02 No Spin
    #04 No read only
    #08 No Arrows keys
    #10 Spin align left

    Option for level (:LEVEL)
    0 horizontal
    1 vertical

    HEADING %BITMAPDEF

    This heading describes all internal mixvibes bitmap uses for button and sliders

    :BMDirectory "Directory" define in which relative path bitmaps are (ex. "\Program Files\Mixvibes Pro\Directory\")

    The syntax is : Bitmap File name for OFF(unpressed) Bitmap File name for ON(pressed) Transparency color RGB(x,x,x)

    Transparency color RGB(x,x,x) is optionnal. If defined the bitmap will be drawn transparently

    :BMCue | button cue
:BMCueSet | button cue when you can set the cue point
:BMPlayPause | button play/pause
:BMMute | red led (all others red led if not defined will be set with this bitmap)
:BMPlayState | green led (all others green led if not defined will be set with this bitmap)
:BMLoop | Loop
:BMKill | Kill frequency
:BMVoice | Removal voice
:BMEffects | Effects on/off
:BMFrame | button frame
:BMWave | button display wave
:BMPitch+ :BMPitch- | button pitch increment and decrement
:BMPlay :BMStop | button play and button stop
:BMEdit :BMAdd | button edit a media and button add a media
:BMBack :BMUp | button backward and button fordward
:BMTrkDn :BMTrkUp | button move track down and button move track up
:BMBeatReverse | button reverse mode
:BMPitchReset | button pitch reset
:BMFrameEffect | button process frame effect
:BMLootrax | button send frame to loopTRAX
:BMBeat0 :BMBeat1 :BMBeat2 :BMBeat4 :BMBeat8 :BMBeat16 | button for setting frame (loop) 0=1/2 1=1 ...
:BMLoc1 ... :BMLoc10 | button for location 1 ... 10
:BMMonitor | Monitor
:BMDirect | Direct mode
:BMScrew | Screw
:BMSliderVe :BMSliderHo :BMSliderCross | sliders bitmap for pan, volume, cross fader volume
CROSSFADER bitmap |
:BMUpdateVol | update vol on/off
:BMBeatMatching | beat matching on/off
:BMCrossAB | button Auto CrossFading A->B
:BMCrossBA | button Auto CrossFading B->A
MAIN VOLUME bitmap |
:BMMixerMute | mute on/off
EQUALIZER bitmap |
:BMEqOn | Equalizer on/off
:BMEq2ch | Equalizer 2 channels on/off


MixVibes Help options

Options
Audio cards
Others options
System
  options.gif (10450 octets)

Audio cards

The number of audio cards will determine the number of audio out ports. You can choose for each audio out ports the audio cards selected. You have to choose also the right mixer. MixVibes would take care of changes only after restarting the program.

Some audio cards can be seen as many audio drivers.

You can select the audio card using for monitoring in checking one monitor radio button.

Others options

Move value: this value set the position increase (or decrease) for forward (or backward) in a media

Acceleration : this value set how many times the move value will increase each second when forward/backward buttons are staying pushed

Warning : time before the end of media will blink the green warning led

Fade time : when inserting media in playlist this value will determine cross fading time between 2 media folowing

Talk over fade and att. : set the fade time and attenuation for talk over command

Init dir : init directory when program start (if not empty)

Dj Name : you can enter your dj name then MixVibes will display at the left top mixer view your name in place of MixVibes letters

Tooltip : MixVibes give information on the field above the mouse, if mouse stay without moving for 1 second
if tooltip is disabled then there will be no information but performance will be greater (tooltip consume some cpu when displaying)

Pitch bend range : Select the pitch bend range in % for the cross fader pitch bend and for the midi pitch bend control. then pitch can go to + or - this range

Volume range : Select the range for the cross fader volume in db then the cross fader down the volume for the media fade of this value
except at each cursor end where level is completly muted (-100db)

Jog dial Spin : this value indicates how many times the spin of jog dial will do in ms

System

  system.gif (4687 octets)

Frame Length : size of frame audio in ms.

Frame Interrupt : time period in ms when servicing the audio buffer. never set under 1/5 of frame length.

Audio latency : use for adjusting the start time of a sound media.

Create only directx Media streams : MixVibes can use Directx Media for mp3 in place of internal decoder. If you check this option, all medias will use the directx Media services and use same codec than used by Microsoft media player (for mp3, Microsoft use the Fraunofer-Gesellschaft IIS).
For back to internal services uncheck this option.

Priority : change priority program (after restarting)


MixVibes Help shortcuts

Keyboard Shortcuts
CTRL+I | Add Music
CTRL+N | New File
CTRL+O | Open File
CTRL+S | Save File
CTRL+A | Select All
Ctrl+Space | Play/Stop Playlist
Ctrl+Enter | Internet Link (in media list)
Shift+ESC | Reset
keypad + | Next song
keypad - | Previous song
keypad * | Talk Over
BackSpace | Cue the media in active mixer channel
Enter | Play/pause the media in active mixer channel
Left/Right | Change the active channel
Esc | Mute
Up/Down | Up/down pitch
keypad 1 | start/stop media selected in mixer 1
keypad 2 | start/stop media selected in mixer 2
keypad 3 | start/stop media selected in mixer 3
keypad 4 ... | start/stop media selected in mixer 4 ...
keypad 1 + Alt | restart media selected in mixer 1
keypad 2 + Alt | restart media selected in mixer 2
keypad 3 + Alt | restart media selected in mixer 3
keypad 4 + Alt .... | restart media selected in mixer 4 ...
keypad 0 | start/stop play list
F1 | pitch bend -4% channel A
F2 | pitch bend -2% channel A
F3 | pitch bend +2% channel A
F4 | pitch bend +4% channel A
F5 | pitch bend -4% channel B
F6 | pitch bend -2% channel B
F7 | pitch bend +2% channel B
F8 | pitch bend +4% channel B
F9 | Cue channel A
F10 | Play/Pause channel A
F11 | Cue channel B
F12 | Play/Pause channel B


Mix Vibes FAQ

FAQ

How can I connect headphones or another audio port ?
MixVibes can manage until 4 directx audio cards. To have an audio port for connecting headphones, you have to install a new audio card compatible with Directx. If your PC has USB ports and works with Windows 98 or NT 2000, you can also connect usb speakers (with the out port in your usb speaker you will able to connect headphones). USB audio is managed like a directx audio card. You can have more than 1 USB audio port.

List of audio cards tested

Sound blaster 16/32/64 ISA (2 can be installed)
Sound blaster 64 PCI (2 same SB 64/128 PCI cannot work but you can add with others SB cards see creative labs site)
Sound blaster 128 PCI (2 same SB 64/128 PCI cannot work but you can add with others SB cards see creative labs site)
Sound blaster SB LIVE PCI (2 same SBLIVE cannot work but you can add with others SB cards see creative labs site)
Audio card with Yamaha XG chipset PCI (Guillemot Fortissimo...)
USB audio on windows 98 and NT2000 (2 or more can be installed)

For example, some configurations

2 audio ports | 1 SB LIVE + 1 YAMAHA XG
3 audio ports | 1 SB 64 ISA + 1 SB LIVE + 1 USB audio
4 audio ports | 1 SB LIVE + 1 YAMAHA XG + 1 SB 128 + 1 USB audio

Many others directx cards will work. try to take certified directx driver.

After installing a new card in your system, run MixVibes and go to menu options (general), check that MixVibes have found your card, select the audio card for each audio out and the correct mixer (MixVibes cannot affect automatically the correct mixer because there are different name in directx driver and mixer driver!) and restart MixVibes if you change something.

Can I mix with 1 only audio card ?
Yes, MixVibes can mix until 16 audio files.
mp3 files (128kbits stereo) use about 4% of cpu usage.
wave files (44100 stereo 16 bits) about 1%.
Tested on Pentium II 350 and Windows 98.

I listen some trigger sound or crackles when playing any file ?
The problem could come from your directx installation. To test your directx configuration execute the DirectX diagnostic dxdiag.exe : click the start windows button and menu "Execute" and tape dxdiag and Enter

Can I convert mp3 files in wav ?
Yes open the media list view, select 1 or more media and run the command convert (menu media->convert).
All files will be saved in a directory.

How can I add many audio files in same time ?
For adding many media files in MixVibes database there are 3 ways :

  • Drag and drop from Windows folders to the media list view, mixer channel or in playlist view,
  • Scan command from menu for a drive or directory,
  • Import a .m3u file

MixVibes database can manage a lot of media.

How can I do Beat calculation ?
There is 3 ways :

  • beat counting menu
  • place the cursor inside the bpm field in the mixer channel
    and tape the key space at the rhythm of the music.
    More you tape more accurate will be the beat counting (the program do the average
    on 30 last tapes).

I don't listen sound file ?
if you see the mixer level led move:
- check the main mixer level (or Windows multimedia Volume), the audio volume is too low or muted.
- check audio driver assignment in menu options -> general : MixVibes can use another audio driver (and out) than the main

if you see no level :
- check the path of your files. if you have entered only a relative path (name of the file without the path) and change current directory then the file cannot be found at next play. If you want to use relative path, you can set init directory at menu options -> general.

Is there Cue command ?
Cue Mode has been introduced in version pro 2.10 but with some differences with hardware Dj CD pro. The version pro 2.20 solve these differences.
For setting the cue mode you have to select the icon CUE in toolbar command. Then the button Play will be change to Play/pause and button Stop to Cue.

How can i do Beat matching ?

Beat matching is very important for a DJ.

There are many ways to do Beat matching with MixVibes

First, set the good bpm for the songs to be beat matched (edit media -> goto tab "mixer" -> set the field base tempo or with beat counting).

Once bpm is set, you can do beat matching

1) beat matching with drag and drop between mixer channel (with shift key pressed)
for example :
In mixer channel 1 there is a music at bpm (base tempo) 120
In mixer channel 2 there is a music at bpm (base tempo) 126

drag and drop from channel 1 to channel 2 with shift key pressed will set bpm of channel 1 at 126 with increasing speed of 5%

how drag and drop channel mixer ?
a) click to the mixer number (at the top line of the mixer channel) for selecting the channel 1
b) drag the mouse with shift key pressed (the cursor will change to symbol =)
c) drop to the other channel 2 then the music in channel mixer 1 will match the music in channel 2

2) beat matching a set of selected music
a) select 2 or many medias in media list
b) run menu command "media" -> "beatmatching"

3) music pitch
you can use the pitch spin in each channel mixer to change the pitch

4) Auto Crossfading
If "Enable beatmatching" green led is on in the Crossfader window
then when you run auto crossfading command (buttons "A->B" or "B->A"), the 2 media will be beat matched

You can adjust in real time the pitch when beat are unsynchronised

1) pitch bend key (F1 F2 ...F8 keyboard keys)

Cross Fader Channel A | Cross Fader Channel B
F1: -4% | F5: -4%
F2: -2% | F6: -2%
F3: +2% | F7: +2%
F3: +4% | F8: +4%

2) Pitch bend slider in the Crossfader window

You can set pitch bend values for each key and slider (see window settings, options "general" -> keyboard )

Can I rip my audio cd with MixVibes ?

No, but you can use free cd ripper software like Cdex or EAC :

- Cdex

- EAC

Can use audio cd with MixVibes without ripping ?

Yes you can with windows 95 or 98 (not NT) and a driver named alternate cdfs cdfs.vxd (created by cyber7).

If you install this driver then you will see tracks in the cd as wave files and then you will able to drag to mixvibes.

Only restriction MixVibes cannot simultaneously mix 2 tracks in the same cd but you can use many cd readers.

see more info in sonicspot web
http://www.sonicspot.com/alternatecdfsvxd/alternatecdfsvxd.html

How use remove voice in stereo sound file (if voice is centered)

1) Select a media

2) Edit media->go to tab "eq"

3) Check the "channel inverted" radio button (or "Center removal")

mp3 files with low bitrate will do some hissing sound due to the mp3 compression of stereo signal

The effect works better with wave file and works on about 50% of the songs.


MixVibes Help thanks

Special thanks

Skin designer : Yann Lohier

Dj validation : Dj Arthur P

Beta Tester : Patrick Van Troeyen, Christopher Mulready, Dj Wilson


MixVibes Help toolbar

ToolBar

toolbar.gif (3813 octets)

from left to right

New : create a new mix
Open : open a existing mix
Save : save the current mix
Reset : reset will stop all playing media, stop the playlist and reset the counter to the beginning (0)
Play mix: start the playlist at counter position
Stop mix: stop the playlist and reset the counter. This command stop also all media playing
Record mix: record mode. All play and stop will be recorded but no others controls (volume pan ...)
Backward : go back the playlist of move value see option (default: 400ms)
Forward : go forward the playlist
- : go to the previous song (or keypad -)
+ : go to the next song (or keypad +)
down in the list: down the selected item in the media list or playlist
up in the list: up the selected item in the media list or playlist
Talk over : talk over

Display:
display Mix Sequencer (on/off)
display Media Base (on/off)
display crossfader (on/off)

Options:
Loop : Loop the playlist
mixer change : enable the change from media list when you play media in the media list View
AutoArrange : autoarrange enable

[mixvibeshelpfooter.htm]